var ua = navigator.userAgent;
var __SPEED_S = 4.6;	// S波伝達速度(km/s)
var __SPEED_P = 6.3;	// P波伝達速度(km/s)
var __INTERNAL = 600;	// ms(インターバル短めにして、while句でウェイト)
var pre_time;			// カウント待ち用 ひとつ前の時間(ms)
var radiusS = 0;		// S波半径(描画用)
var radiusP = 0;		// P波半径
var map, circleS, circleP,namazu, home;
var zoomlevel;			// GoogleMaps ズームレベル
var tick;				// 地震発生からの経過秒数
var count = 0;			// カウントダウン回数保存用(音声読み上げ)
var rest = 0;			// S波到達までの残り秒数
var atime;				// S波到達時刻(UnixTime)
var logtime = 0;		// sne.log の最終更新日時
var err_count = 0;		// 接続エラー試行回数
var end_count = 0;		// 地震終了後の復帰用カウンタ
var start;				// カウントダウン用スタート値保存
var real_now;			// 再生時、現在の実時刻(UnixTime)
var org_now;			// 再生時、スタート時間保存用(UnixTime)
var last_ver = 0;		// 再生時、第何報まで処理したか
var arrived = 0;		// 到達音を再生したか
var stop = 0;			// 再生時、停止ボタンが押されたか
var time_checked = 0;	// 時刻合わせ
var intID;				// タイマーID
var filter_level;		// 「緊急地震警報」とする最低予想震度
var level_passed = 1;	// 「緊急地震警報」の最低震度を超えているか
var min_level;			// 「地震が発生～」読み上げする最低マグニチュード
var min_mag;			// 「地震が発生～」読み上げする最低震度
var min_passed = 0;		// 「地震が発生～」の最低震度、または最低マグニチュードを超えているか
var big_level;			// 「大きな揺れに～」読み上げする最低震度
var level_changed = false;		// 途中で予想震度が変更された
var sound = new Array();		// HTML5 Audio用配列
var sound_pri = new Array();	// 再生優先順位用配列
var sound_count = 0;			// sound配列用カウンタ
var nied_count = 0;
var ato_play = false;
var big_level_passed = 0;
var nied_map = new Array();
var nied_map_count = 0;
var niedBounds = new google.maps.LatLngBounds(
	new google.maps.LatLng(29.95,129.00),
	new google.maps.LatLng(45.95,146.00)
);
var niedBounds2 = new google.maps.LatLngBounds(
//	new google.maps.LatLng(30.00,128.60),
//	new google.maps.LatLng(46.22,145.90)
	new google.maps.LatLng(24.15,123.55),
	new google.maps.LatLng(46.22,146.20)
);
var netradio;

if(!!(document.createElement('audio').canPlayType)){		// 接続エラー用の音声ファイル先読み
	if(ua.match(/Firefox/) || ua.match(/Chrome\/([\.\d]+)/) || ua.match(/Opera[\/\s](\d\.\d+)/)){
		var chime = new Audio(__OGG_DIR + "chime3.ogg");
		chime.load();
		chime.volume = 0.5;
	} else {
		var chime = new Audio(__WAV_DIR + "chime3.wav");
		chime.load();
		chime.volume = 0.5;
	}
}

function replaceAll(expression, org, dest){		// 文字列置換
	return expression.split(org).join(dest);
}

function get_zoom(distance){	// GoogleMaps ズームレベル取得
	var zoomlevel;
	if(distance >= 1500){
		zoomlevel = 5;
	} else if(distance >= 600){
		zoomlevel = 6;
//		zoomlevel = 5;
	} else if(distance >= 300){
		zoomlevel = 7;
//		zoomlevel = 6;
	} else if(distance >= 150){
		zoomlevel = 8;
//		zoomlevel = 7;
	} else if(distance >= 75){
		zoomlevel = 9;
//		zoomlevel = 8;
	} else {
		zoomlevel = 10;
//		zoomlevel = 9;
	}
	return zoomlevel;
}

function get_levelColor(val){		// 予想震度(level)による色変更
	var elmH;
	var tlevel;
	if(val == undefined){
		tlevel = level;
	} else {
		tlevel = Number(val);
	}
	if(tlevel >= 7){
		elmH = 0;
	} else if(tlevel <= 1){
		elmH = 220;
	} else {
		elmH = Math.round(9.55 * Math.pow(0.8 * (7 - Number(tlevel)),2));
	}

	var elmR;
	var elmG;
	var elmB;
	var	t1 = 255;
	var	t2 = 0;
	var	t3 = elmH % 60;
	var	t3 = (t1 - t2) * t3 / 60;

	if(elmH < 60) {
		elmR = t1;  elmB = t2;  elmG = t2 + t3;
	} else if(elmH < 120) {
		elmG = t1;  elmB = t2;  elmR = t1 - t3;
	} else if(elmH < 180) {
		elmG = t1;  elmR = t2;  elmB = t2 + t3;
	} else if(elmH < 240) {
		elmB = t1;  elmR = t2;  elmG = t1 - t3;
	} else if(elmH < 300) {
		elmB = t1;  elmG = t2;  elmR = t2 + t3;
	} else if(elmH < 360) {
		elmR = t1	;  elmG = t2;  elmB = t1 - t3;
	} else {
		elmR = 0;   elmG = 0;   elmB = 0;
	}

	elmR = Math.floor(elmR).toString(16);
	elmG = Math.floor(elmG).toString(16);
	elmB = Math.floor(elmB).toString(16);
	if (elmR.length == 1)	elmR = "0" + elmR;
	if (elmG.length == 1)	elmG = "0" + elmG;
	if (elmB.length == 1)	elmB = "0" + elmB;

	return '#' + elmR + elmG + elmB;
}

function view_situation(){			// 画面下段の状況表示
	$("#situ").css("backgroundColor",get_levelColor());						// 予想震度に依る状況表示背景色変更
	if(test == 1 || rest < 0){
		if(last == 1){
			var str =  "　<span class='ver'>(最終報)</span><span id='last' style='display:none'></span>";
		} else {
			var str = "　<span class='ver'>(第" + ver + "報)</span>";
		}
		$("#situ").html("暫定Mj:<span class='num small' id='mag'>" + sprintf("%2.1f",mag) + 
			"</span>　深さ:<span class='num small' id='depth'>" + sprintf("%d",depth) + 
			"</span>km　予想震度：<span class='num small' id='level'>" + sprintf("%2.1f",level) + "</span>" + str);
	}
//	$("#situ").show();
}

function resize_window(){						// ウインドウリサイズイベント
	var width, height;
	if(window.innerWidth){
		width = window.innerWidth;
		height = window.innerHeight;
	}else if(document.documentElement && document.documentElement.clientWidth){
		width = document.documentElement.clientWidth;
		height = document.documentElement.clientHeight;
	}else if(document.body && document.body.clientWidth){
		width = document.body.clientWidth;
		height = document.body.clientHeight;
	}
	$("#map_canvas").css("width",width + "px");
	$("#map_canvas").css("height",(height - 4) + "px");
	$("#notice").css("top",(height * 0.28) + "px");
	if(map){
		var handle = google.maps.event.addListener(map, 'bounds_changed', function(){	// サイズ(表示領域)変更イベント
			map.setCenter(centerPos);													// 中心にして
			google.maps.event.removeListener(handle);									// 即開放
		}); 
	}
}

$(function(){						// window onloadイベント
	pre_time = (new Date()).getTime();
	if(eCase == 8){					// 再生時は
		get_tValiable(0);			// 変数読み込み
	}
	main();							// メイン処理へ
});

function main(){					// onloadイベントのメイン処理
	($.cookie('filter_level')) ? filter_level = Number($.cookie('filter_level')) : filter_level = 3.0;
	($.cookie('min_level')) ? min_level = Number($.cookie('min_level')) : min_level = 1.5;
	($.cookie('min_mag')) ? min_mag = Number($.cookie('min_mag')) : min_mag = 6.0;
	($.cookie('big_level')) ? big_level = Number($.cookie('big_level')) : big_level = 4.5;
	if($.cookie('s_width')) s_width = Number($.cookie('s_width'));
	if($.cookie('s_height')) s_width = Number($.cookie('s_height'));
	if($.cookie('m_width')) m_width = Number($.cookie('m_width'));
	if($.cookie('m_height')) m_height = Number($.cookie('m_height'));
	if($.cookie('m_max')) m_max = Number($.cookie('m_max'));
	if($.cookie('netradio')) netradio = Number($.cookie('netradio'));

	if(level < filter_level){
		$("#notice").css("color","#afa");
		$("#notice").css("fontSize","40px");
		$("#notice").html("設定震度以下です");
		level_passed = 0;
	} else {
		if(!ua.match(/MSIE (\d\.\d+)/)){
			$("#title").text("SignalNow Express [緊急地震速報] " + eId);
		}
		window.moveTo(screen.availLeft - 0, screen.availTop - 0);
		if(m_max == 1){
			window.resizeTo(screen.availWidth - 0, screen.availHeight - 0);
		} else {
			window.resizeTo(m_width, m_height);
		}
	}

	resize_window();

	zoomlevel = get_zoom(distance);

	var mapOptions;
	mapOptions = {
		disableDoubleClickZoom : false,
		scrollwheel: true,
		zoom : zoomlevel,
		center : centerPos,
		navigationControl: true,
		navigationControlOptions : {
			position : google.maps.ControlPosition.TOP_RIGHT,
			style : google.maps.NavigationControlStyle.DEFAULT
		},
		mapTypeControl: false,
		scaleControl: false,
		streetViewControl : false,
		mapTypeId: google.maps.MapTypeId.TERRAIN
	};
	map = new google.maps.Map(document.getElementById("map_canvas"), mapOptions);

	var color = get_levelColor();

	var cOpt2 = {
		center : epiPos,
		map: map,
		radius: 0,
		fillOpacity: 0,
		strokeColor: "#ffffff",
		strokeOpacity: 0.5,
		strokeWeight: 2,					// 枠のみ色づけ
		clickable : false
	};
	circleP = new google.maps.Circle(cOpt2);

	var cOpt1 = {
		center : epiPos,
//		fillColor: color,
		fillColor: "#000000",				// 塗りつぶしは黒
//		fillColor: "#ffffff",				// 塗りつぶしは白
		fillOpacity: 0.2,
		map: map,
		radius: 0,
		strokeColor: color,
		strokeOpacity: 0.8,
		strokeWeight: 4,					// 枠のみ色づけ
		clickable : false
	};
	circleS = new google.maps.Circle(cOpt1);

	namazu = new google.maps.Marker({
		icon: new google.maps.MarkerImage(__IMG_DIR + "ePoint.gif", 
			new google.maps.Size(32,32), 
			new google.maps.Point(0,0),  
			new google.maps.Point(16,16)),
		map: map,
		position: epiPos,
		clickable : false
	});
	home = new google.maps.Marker({
		icon: new google.maps.MarkerImage(__IMG_DIR + "home32.gif", 
			new google.maps.Size(32,32), 
			new google.maps.Point(0,0),  
			new google.maps.Point(16,16)),
		map: map,
		position: homePos,
		clickable : false
	});

//	google.maps.event.addListener(map, 'zoom_changed', function() {
//		$("#debug").text(map.getZoom());
//	});

	$(window).bind("resize", resize_window);

	$.fn.peity.defaults.pie = {
		colours: ["#FFEEBB", "#FF9944"],
//		colours: ["#ffccff", "#ff00ff"],
		delimeter: "/",
		radius: 51
	};
	
	try{
		if(!!t_accu  && t_accu.length != 0){
			accu = t_accu[0];
		}
	} catch(e) {}

	if(!!accu && accu != ""){
		$("#accu_div").text(accu);
		$("#accu_div").peity("pie");
	}

//	$("#status").css("color",get_levelColor());

	if(!!areas && areas != ""){
		$("#area").html(get_area_str(areas));
		$("#status").text("警報");
		$("#status").css("color","yellow");
		$("#status").css("textShadow","red 2px 2px 4px,black 4px 4px 8px");
		if(netradio == 1){
			window.opener.radio_on();
		}
	}

	if((eCase == 0 || eCase == 3) && test != 1 && pre_time/1000 - etime >= 120){
		eCase = 4;
	}


	if(eCase == 0  || eCase == 8 || eCase == 3){				// 実際の速報と再生時以外は速報音を再生しない
		if(ua.match(/MSIE (\d\.\d+)/)){
			$("#sound").attr("volume", 0);
			if(level >= filter_level){
				min_passed = 1;
				$("#sound").attr("src", __MP3_DIR + "kinkyu.mp3");
			} else if(level >= min_level || mag >= min_mag){
				min_passed = 1;
				$("#sound").attr("src", __MP3_DIR + "report2.mp3");
			}
		} else {
			if(ua.match(/Firefox/) || ua.match(/Chrome\/([\.\d]+)/) || ua.match(/Opera[\/\s](\d\.\d+)/)){
				if(level >= filter_level){
					min_passed = 1;
					sound[sound_count] = new Audio(__OGG_DIR + "kinkyu.ogg");
				} else if(level >= min_level || mag >= min_mag){
					min_passed = 1;
					sound[sound_count] = new Audio(__OGG_DIR + "report2.ogg");
					sound[sound_count].volume = 0.8;
				}
			} else {
				if(level >= filter_level){
					min_passed = 1;
					sound[sound_count] = new Audio(__WAV_DIR + "kinkyu.wav");
				} else if(level >= min_level || mag >= min_mag){
					min_passed = 1;
					sound[sound_count] = new Audio(__WAV_DIR + "report2.wav");
					sound[sound_count].volume = 0.8;
				}
			}
			if(!!sound[sound_count]){
				sound[sound_count].play();
				sound_pri[sound_count] = 0;
				sound_count++;
			}
		}
	} else if(eCase == 10){								// 速報中に新しい地震
		if(ua.match(/MSIE (\d\.\d+)/)){
				$("#sound").attr("src", __MP3_DIR + "new_quake.mp3");
		} else {
			if(ua.match(/Firefox/) || ua.match(/Chrome\/([\.\d]+)/) || ua.match(/Opera[\/\s](\d\.\d+)/)){
				sound[sound_count] = new Audio(__OGG_DIR + "new_quake.ogg");
			} else {
				sound[sound_count] = new Audio(__WAV_DIR + "new_quake.wav");
			}
			if(!!sound[sound_count]){
				sound[sound_count].play();
				sound_pri[sound_count] = 0;
				sound_count++;
			}
		}
		eCase = 0;											// 後の処理は通常地震と同じ
	}

	$("#situ").css("backgroundColor",get_levelColor());		// 予想震度に依る状況表示背景色変更

	if(eCase == 8){							// テスト再生時
		$("#date").css("backgroundColor","#cc9")
	}
	if(eCase != 9){
		setTimeout("earthQuake()", __INTERNAL);
	}
}

function set_sound(source,f){								// 音源ファイル代入と再生
	if(f == undefined){
		var force = 0;
	} else {
		var force = Number(f);
	}
	if(level >= filter_level || (level_passed != 0 && level >= min_level) || force >= 10){				// 設定震度以下では音声を再生しない
		if(ua.match(/MSIE (\d\.\d+)/)){
//			$("#sound").attr("volume", 0);
			$("#sound").attr("src",source);
		} else {
			if(ua.match(/Firefox/) || ua.match(/Chrome\/([\.\d]+)/) || ua.match(/Opera[\/\s](\d\.\d+)/)){
				sound[sound_count] = new Audio(source.replace(__MP3_DIR,__OGG_DIR).replace(/\.mp3$/,".ogg"));
			} else {
				sound[sound_count] = new Audio(source.replace(__MP3_DIR,__WAV_DIR).replace(/\.mp3$/,".wav"));
			}
			sound_pri[sound_count] = force;

			if(!!sound[sound_count - 1] && !!sound_pri[sound_count - 1]){		// 再生音量の優先処理
				if(sound_pri[sound_count - 1] < sound_pri[sound_count] && sound[sound_count - 1].currentTime / sound[sound_count - 1].duration < 0.7){
					sound[sound_count - 1].volume = 0.2;
//					if(sound_count >= 2 && sound_pri[sound_count - 2] < sound_pri[sound_count]  && !sound[sound_count - 2].ended){
//						sound[sound_count - 2].volume = 0.3;
//					}
				} else if(sound_pri[sound_count - 1] > sound_pri[sound_count] && sound[sound_count - 1].currentTime / sound[sound_count - 1].duration < 0.7){
					sound[sound_count].volume = 0.2;
				}
			}
			sound[sound_count].play();
			sound_count++;
		}
	}
}

function get_timestring(date){					// 日時文字列取得
	var str = date.getFullYear() + "-" + 
		sprintf("%02d",date.getMonth() + 1) + "-" + 
		sprintf("%02d",date.getDate()) + "   " + 
		sprintf("%02d",date.getHours()) + ":" + 
		sprintf("%02d",date.getMinutes()) + ":" + 
		sprintf("%02d",date.getSeconds());
	return str;
}

function write_tVariable(i){			// テスト再生時の変数書き込み
	var nHtml = "";						// get_data.php の動きと同じようにわざわざhtmlにして書き込んでいる
	if(t_cancel[i] == 1){
		var tDate = new Date();
		tDate.setTime(Number(t_rDate[i]) * 1000);
		nHtml = "<span class='num small' id='d_mag'>" + get_timestring(tDate) + 
			"</span> <span id='cancel'>キャンセル報を受信</span><span id='last' style='display:none'></span>";
	} else {
		if(t_last[i] == 1){
			nHtml = "<span id='last' style='display:none'></span>";
		}
		nHtml += "暫定Mj:<span class='num small' id='mag'>" + sprintf("%2.1f",t_mag[i]) + "</span>　";
		nHtml += "深さ:<span class='num small' id='depth'>" + t_depth[i] + "</span>km　";
		nHtml += "予想震度：<span class='num small' id='level'>" + sprintf("%2.1f",t_level[i]) + "</span>　";
		if(t_last[i] == 1){
			nHtml += "<span class='ver'>(最終報)</span>";
		} else {
			nHtml += "<span class='ver'>(第" + t_ver[i] + "報)</span>";
		}
		nHtml += "<div style='display:none'>";
		nHtml += "<span id='d_ver'>" + t_ver[i] + "</span>";
		nHtml += "<span id='d_etime'>" + t_etime[i] + "</span>";
		nHtml += "<span id='d_eLat'>" + t_eLat[i] + "</span>";
		nHtml += "<span id='d_eLng'>" + t_eLng[i] + "</span>";
		nHtml += "<span id='d_mag'>" + sprintf("%2.1f",t_mag[i]) + "</span>";
		nHtml += "<span id='d_depth'>" + t_depth[i] + "</span>";
		nHtml += "<span id='d_level'>" + sprintf("%2.1f",t_level[i]) + "</span>";
		nHtml += "<span id='d_stime'>" + t_stime[i] + "</span>";
		try {
			if(!!t_accu[i])	nHtml += "<span id='d_accu'>" + t_accu[i] + "</span>";
			if(!!t_areas[i])	nHtml += "<span id='d_area'>" + t_areas[i] + "</span>";
		} catch(e) {}
		nHtml += "</div>";
	}
	$("#situ").html(nHtml);
}

function get_tValiable(i){			// 再生時のデータ読み込み部分
	if(now == 0){					// S波到達後の続報処理では直接データを読み込む
		now = t_rDate[i];
	}
	if(t_cancel[i] == 1){
		var tDate = new Date();
		tDate.setTime(Number(t_rDate[i]) * 1000);
		$("#situ").html("<span class='num small'>" + get_timestring(tDate) + "</span> <span id='cancel'>キャンセル報を受信</span>");
//		$("#situ").show();
	} else {
		ver = t_ver[i];
		etime = t_etime[i];

		mag = t_mag[i];
		var tmp_level = level;
		if($("#n_mag").length)	$("#n_mag").text(sprintf("%2.1f",mag));
		level = t_level[i];
		if(level_changed == false){
			level_changed = (level != tmp_level);
		}
		if($("#n_level").length)	$("#n_level").text(sprintf("%2.1f",level));
		depth = t_depth[i];
		if($("#n_depth").length)	$("#n_depth").text(depth);
		stime = t_stime[i];

		if(t_accu.length && !!t_accu[i]){
			$("#accu_div").text(t_accu[i]).change();
		}

		if(t_areas.length && !!t_areas[i]){
			$("#area").html(get_area_str(t_areas[i]));
			$("#status").text("警報");
			$("#status").css("color","yellow");
			$("#status").css("textShadow","red 2px 2px 4px,black 4px 4px 8px");
			if(netradio == 1){
				window.opener.radio_on();
			}
		} else {
			$("#area").html("");
			$("#status").text("予報");
			$("#status").css("color","orange");
			$("#status").css("textShadow","black 2px 2px 4px");
		}

		var lat1 = 0;
		var lng1 = 0;

		lat1 = epiPos.lat();
		lng1 = epiPos.lng();

		if(Math.abs(lat1 - Number(t_eLat[i])) >= 0.09 || Math.abs(lng1 - Number(t_eLng[i])) >= 0.09){
			epiPos = new google.maps.LatLng(Number(t_eLat[i]),Number(t_eLng[i]));
			if(namazu){
				namazu.position = epiPos;
				namazu.setMap(map);
			}
			distance = epiPos.distanceFrom(homePos);
			centerPos = new google.maps.LatLng((Number(t_eLat[i]) + homePos.lat())/2,(Number(t_eLng[i]) + homePos.lng())/2);
			if(map){
				map.panTo(centerPos);
//				map.setCenter(centerPos);
				var factor = Math.max(distance,radiusS);	// S波到達後もS波を描画する仕様のため、S波半径に従ってズームレベル変更
				zoomlevel = get_zoom(factor);
//				zoomlevel = get_zoom(distance);
				map.setZoom(zoomlevel);
				circleS.center = epiPos;
				circleS.setMap(map);

				circleP.center = epiPos;
				circleP.setMap(map);
			}
		}

		if(t_last[i] == 1){
			last = 1;
		}
		view_situation();
		$("#notice").css("color",get_levelColor());
		$("#situ").css("backgroundColor",get_levelColor());						// 予想震度に依る状況表示背景色変更
	}
}

function get_dValiable(){						// 速報時に続報データを取得
	if($("#cancel").length){					// キャンセル報
		$("#situ").css("backgroundColor","#44f");
	} else {
		ver = Number($("#d_ver").text());
		etime = Number($("#d_etime").text());

		if($("#n_mag").length)	$("#n_mag").text($("#d_mag").text());
		mag = Number($("#d_mag").text());

		if($("#n_level").length)	$("#n_level").text($("#d_level").text());
		var tmp_level = level;
		level = Number($("#d_level").text());
		if(level_changed == false){
			level_changed = (level != tmp_level);
		}
		if($("#n_depth").length)	$("#n_depth").text($("#d_depth").text());
		depth = $("#d_depth").text();

		stime = Number($("#d_stime").text());

		if($("#d_accu").length){
			$("#accu_div").text($("#d_accu").text()).change();
		}

		if($("#d_area").length){
			$("#area").html(get_area_str($("#d_area").text()));
			$("#status").text("警報");
			$("#status").css("color","yellow");
			$("#status").css("textShadow","red 2px 2px 4px,black 4px 4px 8px");
			if(netradio == 1){
				window.opener.radio_on();
			}
		} else {
			$("#area").html("");
			$("#status").text("予報");
			$("#status").css("color","orange");
			$("#status").css("textShadow","black 2px 2px 4px");
		}

		var lat1 = epiPos.lat();
		var lng1 = epiPos.lng();

		if(Math.abs(lat1 - Number($("#d_eLat").text())) >= 0.09 || Math.abs(lng1 - Number($("#d_eLng").text())) >= 0.09){	// 震央位置に変更あったら
			epiPos = new google.maps.LatLng(Number($("#d_eLat").text()),Number($("#d_eLng").text()));
			if(namazu){
				namazu.position = epiPos;
				namazu.setMap(map);
			}
			distance = epiPos.distanceFrom(homePos);
//			centerPos = new google.maps.LatLng((epiPos.lat() + homePos.lat())/2,(epiPos.lng() + homePos.lng())/2);			// とすると地図の描画が止まる
			centerPos = new google.maps.LatLng((Number($("#d_eLat").text()) + homePos.lat())/2,(Number($("#d_eLng").text()) + homePos.lng())/2);
			if(map){
				map.panTo(centerPos);
//				map.setCenter(centerPos);
				var factor = Math.max(distance,radiusS);
				zoomlevel = get_zoom(factor);
//				zoomlevel = get_zoom(distance);
				map.setZoom(zoomlevel);
				circleS.center = epiPos;
				circleS.setMap(map);
				circleP.center = epiPos;
				circleP.setMap(map);
//				setTimeout("map_panto()",200);
			}
		}

		if($("#last").length){
			last = 1;
		}
		$("#notice").css("color",get_levelColor());
		$("#situ").css("backgroundColor",get_levelColor());						// 予想震度にる状況表示背景色変更

	}
//	$("#situ").show();
}

function end_cancel(){
	if(test != 1){
		window.opener.location.reload();
	}
	window.close();
}

function earthQuake(){
	home.setVisible(false);
	if(pre_time + 1000 > (new Date()).getTime()){		// ひとつ前の時間より1000ms以上経過しない場合は
		setTimeout(function() {							// 再起呼び出し
			earthQuake();
		}, 10);
		return;
	}
/*
	while(pre_time + 1000 > (new Date()).getTime()){	// ひとつ前の時間より1000ms以上経過しない場合はループ
														// ここが待ち処理だけど、処理を占有してしまう。VB の DoEvents 的何かがあったらいいなぁ。
	}
*/

	pre_time = (new Date()).getTime();
	if(test == 1){										// 再生時の時間合わせ
		real_now = Math.round(pre_time / 1000);
		if(count == 0){
			start = real_now;
			org_now = now;
		}
		now = org_now + (real_now - start);
		for(var i = t_rDate.length - 1;i > last_ver;i--){
			if(now >= t_rDate[i]){
				last_ver = i;
				write_tVariable(i);
			}
		}
	} else {
		now = Math.round(pre_time / 1000);
	}
	if($("#d_ver").length && Number($("#d_ver").text()) > Number(ver)){
		get_dValiable();
	}

	if(eCase == 0 || eCase == 8 || eCase == 3){
		var tDate = new Date();
		tDate.setTime(now * 1000);
		var tStr = get_timestring(tDate);
		$("#date").html(tStr.replace(" ","<br />　　"));
	} else {
		$("#date").hide();
	}
	atime = etime + stime;						// S波到達時刻 = 地震発生時刻 + S波到達秒数
//	atime = (distance / __SPEED_S) + etime;						// S波到達時刻 = 地震発生時刻 + S波到達秒数
	tick = now - etime;							// 経過秒数 = 現在時刻 - 地震発生時刻
//	radiusS = __SPEED_S * tick;					// S波半径 = S波伝達速度 * 経過秒数
	radiusS = distance * tick / stime;			// S波半径 = 震源との距離 * 経過秒数 / S波到達秒数
	radiusP = __SPEED_P * tick;					// P波半径 = P波伝達速度 * 経過秒数
	rest = Math.round(atime - now);				// 残り秒数 = S波到達時刻 - 現在時刻

	var factor = Math.max(distance,radiusS);
	var pre_zoom = zoomlevel;
	if(pre_zoom != get_zoom(factor)){
		zoomlevel = get_zoom(factor);
		map.setZoom(zoomlevel);
	}

	if($("#cancel").length){					// キャンセル報が入ったら
		$("#notice").css("color","#44f");
		$("#situ").css("backgroundColor","#44f");
		$("#notice").css("fontSize","60px");
		$("#notice").html("地震速報は<br />キャンセルされました");
		circleS.setRadius(0);
		circleP.setRadius(0);
		if(level_passed != 0){
			set_sound(__MP3_DIR + "cancel.mp3",10);
		}
		if(eCase == 0 || eCase == 3){
			$("#date").show();
		}
		home.setVisible(true);
		setTimeout("end_cancel()",10000);
		return;													// 抜ける
	}
	$("#notice").css("color",get_levelColor());					// 予想震度に依るカウントダウン色変更

	if(last == 0 && count >= 1 && test != 1 && eCase != 4){		// 最終報に達していない場合は
		$.ajaxSetup({											// ajax でログからデータを拾う
			timeout: 700,
			cache: false
		});
		$("#situ").load("get_data.php",{ eId : eId });
	}

	if(level >= filter_level && eCase != 4){
		if(!ua.match(/MSIE (\d\.\d+)/)){
			$("#title").text("SignalNow Express [緊急地震速報] " + eId);
		}
		if(level_passed <= 0){										// 途中で設定予想震度を超えたら
			set_sound(__MP3_DIR + "chime2.mp3",level);				// 「♪テロンテロン」
			level_passed = 1;
			window.moveTo(screen.availLeft - 0, screen.availTop - 0);
			if(m_max == 1){
				window.resizeTo(screen.availWidth - 0, screen.availHeight - 0);
			} else {
				window.resizeTo(m_width, m_height);
			}
		}
	} else if(min_passed == 0 && (level >= min_level || mag >= min_mag) && eCase != 4){
		min_passed = 1;
		set_sound(__MP3_DIR + "report2.mp3",10);
		sound[sound_count - 1].volume = 0.4;
	} else {
		if(!ua.match(/MSIE (\d\.\d+)/)){
			$("#title").text("SignalNow Express " + eId);
		}
	}
	if(pop == 0 && nied == 1 && min_passed != 0 && now % 2 == 0){		// 強震モニタ
		if(test == 0){
//			$.get("get_nied.php?eId=" + eId);
			var url = __SERVER_URL + __SELF_DIR + "get_nied.php?eId=" + eId + "&uid=" + now;
		} else {
			var url = __SERVER_URL + __SELF_DIR + "get_nied.php?time=" + now + "&eId=" + eId;
		}
		$("#nied").append("<img class='bg' src='" + url + "' width='266' height='302'>");

		$(".bg").bind("load",function(){
			$(this).unbind("load");
			$("#nied_scale").show();
			var url = $(this).attr("src");
//			alert(now);
			if(now > 1356361200){
				nied_map[nied_map_count] = new google.maps.GroundOverlay(
					url,
					niedBounds2);
			} else {
				nied_map[nied_map_count] = new google.maps.GroundOverlay(
					url,
					niedBounds);
			}
			nied_map[nied_map_count].setMap(map);

			if(nied_map_count > 0){
				nied_map[nied_map_count-1].setMap(null);
			}
			$(this).remove();
			nied_map_count++;
		});

	}

	if(level_changed || count == 0){								// 予想震度変更あったら
		var cOptions = {											// S波色変更
			strokeColor: get_levelColor()
		};
		circleS.setOptions(cOptions);
	}

	if(big_level_passed == 0 && level >= big_level){
		big_level_passed = 1;
		chime.loop = true;
		chime.play();
		var opt2 = {fillOpacity:0.6};
		circleS.setOptions(opt2);
		$("#notice").css("opacity","1");
	} else if(big_level_passed == 1 && level < big_level){
		big_level_passed = 0;
		chime.pause();
		var opt2 = {fillOpacity:0.3};
		circleS.setOptions(opt2);
		$("#notice").css("opacity","0.8");
	}

//	if(radiusS <= distance){
	home.setVisible(true);
	circleS.setRadius(radiusS * 1000);								// S波半径描画
	circleP.setRadius(radiusP * 1000);								// P波半径描画
	if(rest >= 0){
		if(eCase == 0 || eCase == 8 || eCase == 3){
//			rest = Math.floor((distance - radiusS) / __SPEED_S);			// 残り秒数 = (震源との距離 - S波半径) / S波伝達速度
			if(count == 1 && rest >= 6){									// 「♪テロンテロン～速報」の再生終了を待つのに4カウント この時点で到達まで6秒未満なら即カウントダウン
				set_sound(__MP3_DIR + "sub/l_" + sprintf("%2.1f",level).replace(".","_") + ".mp3",level);
				if(level_passed != 0){
					$("#notice").css("fontSize","80px");
				} else {
					$("#notice").css("fontSize","40px");
				}
				$("#notice").html("予想震度：<span class='num middle' id='n_level'>" + sprintf("%2.1f",level) + 
					"</span><br /><span style='font-size:60%'>暫定Mj:<span class='num mid2' id='n_mag'>" + sprintf("%2.1f",mag) + 
					"</span>　深さ:<span class='num mid2' id='n_depth'>" + depth + "</span>km</span>");
				level_changed = false;
			} else if(count == 3 && rest >= 7){								// 「予想震度～」の再生終了を待つのに2カウント この時点で到達まで7秒未満なら即カウントダウン
				view_situation();
				if(level >= big_level){										// 強震の時は「強い揺れに～」
					set_sound(__MP3_DIR + "strong.mp3");
				} else if(level_changed){									// 予想震度変更有り
					$("#notice").css("fontSize","60px");
					$("#notice").html("予想震度：<span class='num big' id='n_level'>" +  sprintf("%2.1f",level) + "</span>");
					set_sound(__MP3_DIR + "sub/l_" + sprintf("%2.1f",level).replace(".","_") + ".mp3",level);
					level_changed = false;
				} else {													// それ以外は「マグニチュード～」
					set_sound(__MP3_DIR + "sub/m_" + sprintf("%2.1f",mag).replace(".","_") + ".mp3");
				}
			} else if(count == 5 && rest >= 7){								// 「マグニチュード～」の再生終了を待つのに2カウント この時点で到達まで7秒未満なら即カウントダウン
				set_sound(__MP3_DIR + "ato.mp3");
				ato_play = true;
			} else if(count >= 7 || rest < 7){
				view_situation();
				if(level_passed != 0){										// 設定震度以上
					if(rest <= 50){
						if(rest > 0){
							if(level_changed == 1){							// 予想震度変更有り
								$("#notice").css("fontSize","60px");
								$("#notice").html("予想震度：<span class='num big' id='n_level'>" +  sprintf("%2.1f",level) + "</span>");
								set_sound(__MP3_DIR + "sub/l_" + sprintf("%2.1f",level).replace(".","_") + ".mp3",level);
								level_changed = false;
							} else {
								$("#notice").css("fontSize","200px");
								$("#notice").html("<span class='pre'>あと </span><span class='num big'>" + rest + "</span><span class='post'> 秒</span>");
								if(rest <= 9){
									$(".big").css("fontSize","300px");
								}
								if(rest == 10){
									set_sound(__MP3_DIR + "10m.mp3");
								} else if(rest == 5){
									set_sound(__MP3_DIR + "05m.mp3");
								} else {
									if(rest % 10 == 0 || (ato_play && count == 7)){		// 10秒おきに「秒」を付ける
										set_sound(__MP3_DIR + sprintf("%02d",rest) + ".mp3");
									} else {
										set_sound(__MP3_DIR + sprintf("%02d",rest) + "s.mp3");
									}
								}
							}
						} else {
							$("#notice").html("<span class='pre'>あと </span><span class='num big'>0</span><span class='post'> 秒</span>");
							$(".big").css("fontSize","300px");
							arrived = 1;
							view_situation();
							if(level >= filter_level){
								set_sound(__MP3_DIR + "sub/l_" + sprintf("%2.1f",level).replace(".","_") + ".mp3",level);
							} else {
								set_sound(__MP3_DIR + "sub/l_" + sprintf("%2.1f",level).replace(".","_") + ".mp3",Math.abs(level_passed) * 10);
							}
						}
					} else {
						if(count == 7){
							set_sound(__MP3_DIR + "50o.mp3");
						} else if(level_changed == 1){							// 予想震度変更有り
							$("#notice").css("fontSize","60px");
							$("#notice").html("予想震度：<span class='num big' id='n_level'>" +  sprintf("%2.1f",level) + "</span>");
							set_sound(__MP3_DIR + "sub/l_" + sprintf("%2.1f",level).replace(".","_") + ".mp3",level);
							level_changed = false;
						} else if(rest < 100){
							$("#notice").css("fontSize","50px");
							$("#notice").html("<span class='pre'>あと </span><span class='num middle'>" + rest + "</span><span class='post'> 秒</span>");
						}
					}
				}
			}
			if(level >= min_level){
				count++;
			} else {
				if(level_passed > 0){
					level_passed = -1;	// level_passedを-1に
					set_sound(__MP3_DIR + "sub/l_" + sprintf("%2.1f",level).replace(".","_") + ".mp3",10);
					count = 0;
				}
				if(count < 2){
					count++;
					if(count == 2 && level_passed == -1){
						if(!!sound[sound_count - 1]){
							if(sound[sound_count - 1].ended){
								set_sound(__MP3_DIR + "end_count.mp3",10);
							} else {
								count--;
							}
						}
					}
				} else {
					count = 3
				}
				if(count == 3){
					if(level_passed == -1 && level_changed){
						set_sound(__MP3_DIR + "sub/l_" + sprintf("%2.1f",level).replace(".","_") + ".mp3",10);
						level_changed = false;
					}
					$("#notice").css("fontSize","40px");
					$("#notice").html("予想震度：<span class='num middle' id='n_level'>" + sprintf("%2.1f",level) + 
						"</span><br />暫定Mj:<span class='num mid2' id='n_mag'>" + sprintf("%2.1f",mag) + 
						"</span>　深さ:<span class='num mid2' id='n_depth'>" + depth + "</span>km");
					view_situation();
				}
			}
			intID = setTimeout("earthQuake()", __INTERNAL);
		} else {
			$("#notice").css("fontSize","40px");
			view_situation();
			var eDate = new Date(etime * 1000);
			$("#notice").html("<br />過去の地震<br /><span class='num'>" + get_timestring(eDate) + "</span>");
//			$("#situ").show();
		}
	} else {
		home.setVisible(true);
		if(count >= 1){
			count = 10;
			circleS.setRadius(radiusS * 1000);
			$("#notice").css("fontSize","60px");
			$("#notice").css("filter","alpha(opacity=100) glow(color=000000,strength=8)");
			$("#notice").html("予想震度：<span class='num big' id='n_level'>" +  sprintf("%2.1f",level) + "</span>");
			if(arrived == 0){
				view_situation();
				if(level_passed != 0){
					set_sound(__MP3_DIR + "sub/l_" + sprintf("%2.1f",level).replace(".","_") + ".mp3",10);
				} else {
					set_sound(__MP3_DIR + "arrived3.mp3");
				}
			} else if(level >= big_level){
				set_sound(__MP3_DIR + "strong.mp3",level + 11);
			} else if(level_changed){
				if(level_passed != 0){
					set_sound(__MP3_DIR + "sub/l_" + sprintf("%2.1f",level).replace(".","_") + ".mp3",10);
				} else {
					set_sound(__MP3_DIR + "sub/l_" + sprintf("%2.1f",level).replace(".","_") + ".mp3",level);
				}
				level_changed = false;
			}

			if(eCase == 0 || eCase == 3){
				setTimeout("end_quake()",1000);
			} else if(eCase == 8){
				if(stop == 0){
					follow_test();
				}
			}
		} else {
			circleS.setRadius(distance * 1000);
			$("#notice").css("fontSize","40px");
			$("#notice").css("color","#fff");
			if(!ua.match(/MSIE (\d\.\d+)/)){
				$("#notice").css("opacity",1.0);
			}
			if(eCase == 3){
				$("#notice").css("fontSize","40px");
				view_situation();
				var eDate = new Date(etime * 1000);
				$("#notice").html("<br />現在の地震<br /><span class='num'>" + get_timestring(eDate) + "</span>");
				set_sound(__MP3_DIR + "sub/l_" + sprintf("%2.1f",level).replace(".","_") + ".mp3",level);
				setTimeout("end_quake()",1000);
			} else {
				var eDate = new Date(etime * 1000);
				$("#notice").css("color",get_levelColor());					// 予想震度に依るカウントダウン色変更
				if(level >= filter_level){
					$("#notice").css("fontSize","60px");
					$("#notice").html("予想震度：<span class='num big' id='n_level'>" +  sprintf("%2.1f",level) + "</span>");
				} else {
					$("#notice").css("fontSize","40px");
					$("#notice").html("予想震度：<span class='num middle' id='n_level'>" + sprintf("%2.1f",level) + 
						"</span><br /><span style='font-size:60%'>暫定Mj:<span class='num mid2' id='n_mag'>" + sprintf("%2.1f",mag) + 
						"</span>　深さ:<span class='num mid2' id='n_depth'>" + depth + "</span>km</span>");
				}
				set_sound(__MP3_DIR + "sub/l_" + sprintf("%2.1f",level).replace(".","_") + ".mp3",level);
				view_situation();
				$("#date").show();
				if(eCase == 8){
					if(stop == 0){
						follow_test();
					}
				} else {
					setTimeout("end_quake()",1000);
				}
			}
//			$("#situ").show();
		}
	}
	nied_count++;
}

function end_quake(){
	home.setVisible(true);

	var tDate = new Date();
	var tStr = get_timestring(tDate);
	now = Math.round(tDate.getTime() / 1000);

	$("#date").html(tStr.replace(" ","<br />　　"));
//	if(end_count == 20  && eCase != 4) window.opener.location.reload();	// S波到達後5秒経過したら、親ウィンドウをリロード(「地震発生」の表示更新)
	if(end_count > 30) window.close();			// S波到達後30秒経過したら、自分自身を閉じる
	if($("#cancel").length){					// キャンセル報が入ったら
		$("#notice").css("color","#8f8");
		$("#notice").css("fontSize","40px");
		$("#notice").html("地震速報は<br />キャンセルされました");
		if(level_passed == 1){
			set_sound(__MP3_DIR + "cancel.mp3",10);
		}
		setTimeout("end_cancel()",10000);
		return;
	} else {
		if($("#d_ver").length && Number($("#d_ver").text()) > Number(ver)){
			get_dValiable();
			atime = etime + stime;

			if(atime > now){						// 震源変更等によって到達時刻が未来になったら
				earthQuake();
				return;
			}
		}
		tick = now - etime;							// 経過秒数 = 現在時刻 - 地震発生時刻
//		radiusS = __SPEED_S * tick;					// S波半径 = S波伝達速度 * 経過秒数
		radiusS = distance * tick / stime;			// S波半径 = 震源との距離 * 経過秒数 / S波到達秒数
		radiusP = __SPEED_P * tick;					// P波半径 = P波伝達速度 * 経過秒数

		var factor = Math.max(distance,radiusS);
		var pre_zoom = zoomlevel;
		if(pre_zoom != get_zoom(factor)){
			zoomlevel = get_zoom(factor);
			map.setZoom(zoomlevel);
		}

		circleS.setRadius(radiusS * 1000);								// S波半径描画
		circleP.setRadius(radiusP * 1000);								// P波半径描画

		if(level >= filter_level && eCase != 4){
			if(level_passed <= 0){										// 途中で設定予想震度を超えたら
				set_sound(__MP3_DIR + "chime2.mp3",level);				// 「♪テロンテロン」
				level_passed = 1;
				window.moveTo(screen.availLeft - 0, screen.availTop - 0);
				if(m_max == 1){
					window.resizeTo(screen.availWidth - 0, screen.availHeight - 0);
				} else {
					window.resizeTo(m_width, m_height);
				}
			}
		}
		if(big_level_passed == 0 && level >= big_level){
			big_level_passed = 1;
			chime.loop = true;
			chime.play();
			var opt2 = {fillOpacity:0.8};
			circleS.setOptions(opt2);
			$("#notice").css("opacity","1");
		} else if(big_level_passed == 1 && level < big_level){
			big_level_passed = 0;
			chime.pause();
			var opt2 = {fillOpacity:0.3};
			circleS.setOptions(opt2);
			$("#notice").css("opacity","0.8");
		}

		if(pop == 0 && nied == 1 && min_passed != 0 && now % 2 == 0){		// 強震モニタ
			if(test == 0){
//			$.get("get_nied.php?eId=" + eId);
				var url = __SERVER_URL + __SELF_DIR + "get_nied.php?eId=" + eId + "&uid=" + now;
			} else {
				var url = __SERVER_URL + __SELF_DIR + "get_nied.php?time=" + now + "&eId=" + eId;
			}
			$("#nied").append("<img class='bg' src='" + url + "' width='266' height='302'>");
			$(".bg").bind("load",function(){
				$(this).unbind("load");
				$("#nied_scale").show();
				var url = $(this).attr("src");
				if(now > 1356361200){
					nied_map[nied_map_count] = new google.maps.GroundOverlay(
						url,
						niedBounds2);
				} else {
					nied_map[nied_map_count] = new google.maps.GroundOverlay(
						url,
						niedBounds);
				}
//				nied_map[nied_map_count] = new google.maps.GroundOverlay(
//					url,
//					niedBounds);
				nied_map[nied_map_count].setMap(map);

				if(nied_map_count > 0){
					nied_map[nied_map_count-1].setMap(null);
				}
				$(this).remove();
				nied_map_count++;
			});
		}

		if(level_changed){
			var cOptions = {
				strokeColor: get_levelColor()
			};
			circleS.setOptions(cOptions);
		}
		if(pop == 0){
			$.ajaxSetup({											// ajax でログからデータを拾う
				timeout: 700,
				cache: false
			});
			$("#situ").load("get_data.php",{ eId : eId });
		}
	}
	end_count++;
	nied_count++;
	setTimeout("end_quake()",1000);
}

function follow_test(){									// テスト再生時、続報処理
	home.setVisible(true);
	while(pre_time + 1000 > (new Date()).getTime()){

	}
	pre_time = (new Date()).getTime();

	real_now = Math.round(pre_time / 1000);
	if(start == 0){
		start = real_now;
		org_now = now;
	}
	now = org_now + (real_now - start);

	atime = etime + stime;
	if(atime > now){
		earthQuake();
		return;
	}
	tick = now - etime;							// 経過秒数 = 現在時刻 - 地震発生時刻
//	radiusS = __SPEED_S * tick;					// S波半径 = S波伝達速度 * 経過秒数
	radiusS = distance * tick / stime;			// S波半径 = 震源との距離 * 経過秒数 / S波到達秒数
	radiusP = __SPEED_P * tick;					// P波半径 = P波伝達速度 * 経過秒数

	var factor = Math.max(distance,radiusS);
	var pre_zoom = zoomlevel;
	if(pre_zoom != get_zoom(factor)){
		zoomlevel = get_zoom(factor);
		map.setZoom(zoomlevel);
	}

	circleS.setRadius(radiusS * 1000);								// S波半径描画
	circleP.setRadius(radiusP * 1000);								// P波半径描画

	if(last == 0){
		for(var i = t_rDate.length - 1;i > last_ver;i--){
			if(now >= t_rDate[i]){
				last_ver = i;
				get_tValiable(i);
			}
		}
		if(level >= filter_level && eCase != 4){
			if(level_passed <= 0){									// 途中で設定予想震度を超えたら
				set_sound(__MP3_DIR + "chime2.mp3",level);				// 「♪テロンテロン」
				level_passed = 1;
				window.moveTo(screen.availLeft - 0, screen.availTop - 0);
				if(m_max == 1){
					window.resizeTo(screen.availWidth - 0, screen.availHeight - 0);
				} else {
					window.resizeTo(m_width, m_height);
				}
			}
		}
		if(big_level_passed == 0 && level >= big_level){
			big_level_passed = 1;
			chime.loop = true;
			chime.play();
			var opt2 = {fillOpacity:0.8};
			circleS.setOptions(opt2);
			$("#notice").css("opacity","1");
		} else if(big_level_passed == 1 && level < big_level){
			big_level_passed = 0;
			chime.pause();
			var opt2 = {fillOpacity:0.3};
			circleS.setOptions(opt2);
			$("#notice").css("opacity","0.8");
		}

		if(pop == 0 && nied == 1 && min_passed != 0 && now % 2 == 0){		// 強震モニタ
			if(test == 0){
//			$.get("get_nied.php?eId=" + eId);
				var url = __SERVER_URL + __SELF_DIR + "get_nied.php?eId=" + eId + "&uid=" + now;
			} else {
				var url = __SERVER_URL + __SELF_DIR + "get_nied.php?time=" + now + "&eId=" + eId;
			}
			$("#nied").append("<img class='bg' src='" + url + "' width='266' height='302'>");
			$(".bg").bind("load",function(){
				$(this).unbind("load");
				$("#nied_scale").show();
				var url = $(this).attr("src");
				if(now > 1356361200){
					nied_map[nied_map_count] = new google.maps.GroundOverlay(
						url,
						niedBounds2);
				} else {
					nied_map[nied_map_count] = new google.maps.GroundOverlay(
						url,
						niedBounds);
				}
//				nied_map[nied_map_count] = new google.maps.GroundOverlay(
//					url,
//					niedBounds);
				nied_map[nied_map_count].setMap(map);

				if(nied_map_count > 0){
					nied_map[nied_map_count-1].setMap(null);
				}
				$(this).remove();
				nied_map_count++;
			});
		}

		if(level_changed){
			if(level_passed != 0){
				set_sound(__MP3_DIR + "sub/l_" + sprintf("%2.1f",level).replace(".","_") + ".mp3",10);
			} else {
				set_sound(__MP3_DIR + "sub/l_" + sprintf("%2.1f",level).replace(".","_") + ".mp3",level);
			}
			level_changed = false;
			var cOptions = {
				strokeColor: get_levelColor()
			};
			circleS.setOptions(cOptions);
		}
		if(stop == 0){
			var tDate = new Date()
			tDate.setTime(now * 1000);
			var tStr = get_timestring(tDate);
			$("#date").html(tStr.replace(" ","<br />　　"));
			nied_count++;
			setTimeout("follow_test()", __INTERNAL);
		}
	} else {
		$("#notice").css("color","#fff");
		$("#notice").text("再生終了");
		$("#btToggle").text("再生");
		chime.pause();
	}
}
$(window).unload(function(){
	if(test != 1){
		if(last == 0){
			$.cookie('last_opened', eId, { path: __SELF_DIR, expires:10});
		}
		window.opener.location.reload();
	}
});